% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\encoding{UTF-8}
\name{gisco_nuts}
\alias{gisco_nuts}
\title{All NUTS \code{POLYGON} object}
\format{
A \code{POLYGON} data frame (resolution: 1:20million, EPSG:4326) object with
2,016 rows and
11 variables:
\itemize{
\item \strong{id}: row ID
\item \strong{COAST_TYPE}: COAST_TYPE
\item \strong{MOUNT_TYPE}: MOUNT_TYPE
\item \strong{NAME_LATN}: Name on Latin characters
\item \strong{CNTR_CODE}: Eurostat Country code
\item \strong{FID}: FID
\item \strong{NUTS_ID}: NUTS identifier
\item \strong{NUTS_NAME}: NUTS name on local alphabet
\item \strong{LEVL_CODE}: NUTS level code (0,1,2,3)
\item \strong{URBN_TYPE}: URBN_TYPE
\item \strong{geometry}: geometry field
}
}
\source{
\href{https://gisco-services.ec.europa.eu/distribution/v2/nuts/geojson/}{NUTS_RG_20M_2016_4326.geojson} file.
}
\description{
A \code{sf} object including all NUTS levels as provided by GISCO (2016 version).
}
\examples{

nuts <- gisco_nuts

italy <- subset(nuts, CNTR_CODE == "IT" & LEVL_CODE == 3)

library(ggplot2)

ggplot(italy) +
  geom_sf()
}
\seealso{
\code{\link[=gisco_get_nuts]{gisco_get_nuts()}}

Other dataset: 
\code{\link{gisco_coastallines}},
\code{\link{gisco_countries}},
\code{\link{gisco_countrycode}},
\code{\link{tgs00026}}
}
\concept{dataset}
